=== debian/control ===
Source: ros-kinetic-fzi-icl-can
Section: misc
Priority: extra
Maintainer: heppner <heppner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libpopt-dev, libtinyxml-dev, ros-kinetic-fzi-icl-core, ros-kinetic-libpcan, wget
Homepage: http://wiki.ros.org/fzi_icl_can
Standards-Version: 3.9.2

Package: ros-kinetic-fzi-icl-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpopt-dev, libtinyxml-dev, linux-headers-generic, ros-kinetic-catkin, ros-kinetic-fzi-icl-core, ros-kinetic-libpcan
Description: The fzi_icl_can package
